#  Copyright (C) 2020, 2019 Girish M
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
# 
n = input("enter a positive number till which taxi cab numbers need to be generated:")

i = 1
a = 1
b = 1
p = 1
q = 1
while i != n:
    '''find out whether 'i' is a taxi cab number and print it'''
    while a != n:
        if a != b:
            while b != n:
                if b != p:
                    while p != n:
                        if p != q:
                            while q != n:
                                if q != a:
                                    if (a**3 + b**3) == (p**3 + q**3):
                                        print("Taxi cab number is: ", i)
                                q = q+1
                        p = p+1
                b = b+1
        a = a+1
    i = i+1
